org.apache.fop.pdf.xref

## Class CrossReferenceTable

- java.lang.Object
- - org.apache.fop.pdf.xref.CrossReferenceObject
  - - org.apache.fop.pdf.xref.CrossReferenceTable

    public class CrossReferenceTable
    extends CrossReferenceObject

A cross-reference table, as described in Section 3.4.3 of the PDF 1.5 Reference.

### Field Summary

### Fields inherited from class org.apache.fop.pdf.xref.CrossReferenceObject

`startxref, trailerDictionary`

### Constructor Summary

Constructors
Constructor and Description
`CrossReferenceTable(TrailerDictionary trailerDictionary, long startxref, List<Long> location, int first, int last, int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `output(OutputStream stream)` Writes the cross reference data to a PDF stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrossReferenceTable

    public CrossReferenceTable(TrailerDictionary trailerDictionary,
                               long startxref,
                               List<Long> location,
                               int first,
                               int last,
                               int size)

### Method Detail

#### output

    public void output(OutputStream stream)
                throws IOException

Description copied from class: `CrossReferenceObject`
Writes the cross reference data to a PDF stream

Specified by:
  `output` in class `CrossReferenceObject`
Parameters:
  `stream` - the stream to write the cross reference to
Throws:
  `IOException` - if an I/O exception occurs while writing the data